/* CSS Document */
@media only screen and (min-width: 1024px) {
	.arx_header_mobile_version {
		display: none !important;
	}

	.arx_header_desktop_version {
		display: block !important;
	}
}

@media only screen and (max-width: 1024px) {
	.arx_header_mobile_version {
		display: block !important;
	}

	.arx_header_desktop_version {
		display: none !important;
	}
}

#arx_mobile_menu {
	position: fixed;
	inset: 0;

	width: 100vw;
	height: 100dvh;

	background: var(--couleur-principale);

	overflow-y: auto;
	-webkit-overflow-scrolling: touch;

	transform: translateX(-100%);
	transition: transform .45s ease;

	pointer-events: none;
}

/* menu ouvert */
#arx_mobile_menu.visible {
	transform: translateX(0);
	pointer-events: auto;
}

/* bloque la page derrière */
body.arx_mobile_is_open {
	overflow: hidden;
	position: fixed;
	width: 100%;
}

#arx_header_mobile {
	-webkit-transition: top 0.5s ease;
	-moz-transition: top 0.5s ease;
	-ms-transition: top 0.5s ease;
	-o-transition: top 0.5s ease;
	transition: top 0.5s ease;
}

#arx_header_mobile.sticky {
	position: fixed;
	width: 100%;
	top: 0;
	z-index: 99999;
	left: 0;
	right: 0;
	box-shadow: 0px 8px 6px rgba(0, 0, 0, 0.16);
}

/* Placeholder to reserve space when header is fixed (prevents content jump) */
#arx_mobile_header_placeholder {
	width: 100%;
}

#arx_header_mobile.sticky.sticky_off {
	top: -200px !important;
}


#arx_mobile_menu .arx_mobile_menu li {
	border-bottom: dotted 0px rgba(0, 0, 0, 0.4) !important;
	list-style: none !important;
	padding-bottom: 10px !important;

}

#arx_mobile_menu .arx_mobile_menu li.arx-menu-item-has-children:before {
	display: block;
	content: '';
	background-image: url("../img/icon_arrow_activite-white.webp");
	position: absolute;
	right: 0px;
	font-size: 30px;
	width: 30px;
	height: 30px;
	margin-top: 0px !important;
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	transition: transform 0.3s ease;
}

#arx_mobile_menu .arx_mobile_menu li.arx-menu-item-has-children.opened:before {
	content: '';
	transform: rotate(180deg);
	transition: transform 0.3s ease;
}

#arx_mobile_menu .arx_mobile_menu .sub-menu {
	display: none;
	padding-top: 15px !important;
	margin-left: 0px !important;
}

#arx_mobile_menu .et_pb_widget_area_left {
	border-right: 0px solid rgba(0, 0, 0, 0);
	padding-right: 0px;
}

#arx_mobile_menu .widget_nav_menu {
	width: 100% !important;
}